<template>
  <div class="customer-info-examine">
    <ol class="breadcrumb">
      <i class="icon-chevron-sign-left newBackBtn" @click="() => { $router.go(-1) }"></i>
      <li>客户管理</li>
      <li>审核</li>
    </ol>
    <up-down-drag>
      <div slot="top">
        <customer-view></customer-view>
      </div>
      <div slot="bar">
        <div>
          审核
        </div>
      </div>
      <div slot="bottom">
        <div class="tempalte-content" style="min-height: auto; padding: 0px 20px ">
          <examine-content ref="examineContent"></examine-content>
          <div class="submit-btn">
            <el-button type="primary" @click="onSubmit" style="width: 150px;">确定</el-button>
            <el-button @click="() => { $router.go(-1) }" style="width: 150px;">取消</el-button>
          </div>
        </div>
      </div>
    </up-down-drag>
  </div>
</template>

<script>
module.exports = {
  components: {
    ExamineContent: httpVueLoader('./components/ExamineContent.vue'),
    CustomerView: httpVueLoader('./components/CustomerView.vue')
  },
  data() {
    return {

    }
  },
  methods: {
    onSubmit() {
      this.$refs.examineContent.getSubmit().then(data => {
        const { taskId, businessKey } = this.$route.query
        const params = {
          Loading: true,
          ...data,
          taskId,
          financialCustomerInfoId: businessKey
        }
        this.$api.capitalManage.customerInfoExamineSubmit(params).then(() => {
          this.$message.success('客户管理审核成功')
          this.$router.push({ path: '/customerInfo' })
        })
      })
    }
  },
}
</script>

<style scoped>

</style>
